## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLDeclarationType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLDeclarationType

public final class XMLDeclarationType
extends AbstractEnumerator

A representation of the literals of the enumeration 'XML Declaration Type', and utility methods for working with them.

See Also:
  `SQLXMLQueryModelPackage.getXMLDeclarationType()`, Serialized Form

Field Summary
`static int` `EXCLUDING_XMLDECLARATION` The 'EXCLUDING XMLDECLARATION' literal value.
`static XMLDeclarationType` `EXCLUDING_XMLDECLARATION_LITERAL` The 'EXCLUDING XMLDECLARATION' literal object.
`static int` `INCLUDING_XMLDECLARATION` The 'INCLUDING XMLDECLARATION' literal value.
`static XMLDeclarationType` `INCLUDING_XMLDECLARATION_LITERAL` The 'INCLUDING XMLDECLARATION' literal object.
`static int` `NONE` The 'NONE' literal value.
`static XMLDeclarationType` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Declaration Type' enumerators.

Method Summary
`static XMLDeclarationType` `get(int value)` Returns the 'XML Declaration Type' literal with the specified value.
`static XMLDeclarationType` `get(java.lang.String name)` Returns the 'XML Declaration Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCLUDING_XMLDECLARATION

    public static final int EXCLUDING_XMLDECLARATION

  The 'EXCLUDING XMLDECLARATION' literal value.

  See Also:
    `EXCLUDING_XMLDECLARATION_LITERAL`, Constant Field Values

### INCLUDING_XMLDECLARATION

    public static final int INCLUDING_XMLDECLARATION

  The 'INCLUDING XMLDECLARATION' literal value.

  See Also:
    `INCLUDING_XMLDECLARATION_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### EXCLUDING_XMLDECLARATION_LITERAL

    public static final XMLDeclarationType EXCLUDING_XMLDECLARATION_LITERAL

  The 'EXCLUDING XMLDECLARATION' literal object.

  If the meaning of 'EXCLUDING XMLDECLARATION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXCLUDING_XMLDECLARATION`

### INCLUDING_XMLDECLARATION_LITERAL

    public static final XMLDeclarationType INCLUDING_XMLDECLARATION_LITERAL

  The 'INCLUDING XMLDECLARATION' literal object.

  If the meaning of 'INCLUDING XMLDECLARATION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INCLUDING_XMLDECLARATION`

### NONE_LITERAL

    public static final XMLDeclarationType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Declaration Type' enumerators.

Method Detail

### get

    public static XMLDeclarationType get(java.lang.String name)

  Returns the 'XML Declaration Type' literal with the specified name.

### get

    public static XMLDeclarationType get(int value)

  Returns the 'XML Declaration Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.